import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (a, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, o) : r, i = a.length - 1, p; i >= 0; i--)
    (p = a[i]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && f(r, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--userMoveLarge", this.class = "c-pieIcon c-pieIcon--userMoveLarge", this.name = "IconUserMoveLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--userMoveLarge"><path d="M12.505 14.688a4.812 4.812 0 1 0-4.813-4.813 4.82 4.82 0 0 0 4.813 4.813m0-7.876a3.062 3.062 0 1 1 0 6.125 3.062 3.062 0 0 1 0-6.124m7.358 11.612-1.39 1.076a4.73 4.73 0 0 0-3.79-1.75h-4.375a4.5 4.5 0 0 0-4.287 2.625l-.674 1.75H3.492l.875-2.371A6.25 6.25 0 0 1 10.326 16H14.7a6.54 6.54 0 0 1 5.162 2.424"></path><path d="M26.824 22.353 24.32 19.85l-1.234 1.234 1.304 1.303h-5.889v1.75h5.889l-1.304 1.304 1.234 1.234 2.502-2.503a1.294 1.294 0 0 0 0-1.82"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  v("icon-user-move-large")
], s);
export {
  s as IconUserMoveLarge
};
